# Filename: gui_options_display.py
# Purpose: Validation check for option selected.
# Returns: Void.

from maptek import vulcan_gui

sel = vulcan_gui.selection('Select object')
display_mode = 'SHADOW'

assert display_mode in vulcan_gui.gui_options.display, \
      'ValueError: Invalid display mode requested'

prop = vulcan_gui.gui_options.property_values()
print(prop)